{
	"name": "web",
	"private": true,
	"version": "0.0.1",
	"type": "module",
	"scripts": {
		"dev": "vite dev",
		"build": "vite build",
		"preview": "vite preview",
		"prepare": "svelte-kit sync || echo ''",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"lint": "prettier --check . && eslint .",
		"format": "prettier --write .",
		"test:unit": "vitest",
		"test": "npm run test:unit -- --run && npm run test:e2e",
		"test:e2e": "playwright test",
		"storybook": "storybook dev -p 6006",
		"build-storybook": "storybook build",
		"gen:types": "pocketbase-typegen -j ../server/collections.json -o ./src/lib/pocketbase-types.ts"
	},
	"devDependencies": {
		"@chromatic-com/storybook": "^5.1.1",
		"@eslint/compat": "^2.0.3",
		"@eslint/js": "^10.0.1",
		"@fontsource-variable/outfit": "^5.2.8",
		"@internationalized/date": "^3.12.0",
		"@playwright/test": "^1.58.2",
		"@storybook/addon-a11y": "^10.3.3",
		"@storybook/addon-docs": "^10.3.3",
		"@storybook/addon-svelte-csf": "^5.1.2",
		"@storybook/addon-vitest": "^10.3.3",
		"@storybook/sveltekit": "^10.3.3",
		"@sveltejs/adapter-static": "^3.0.10",
		"@sveltejs/kit": "^2.50.2",
		"@sveltejs/vite-plugin-svelte": "^6.2.4",
		"@tailwindcss/forms": "^0.5.11",
		"@tailwindcss/vite": "^4.1.18",
		"@types/node": "^22",
		"@vitest/browser-playwright": "^4.1.0",
		"@vitest/coverage-v8": "^4.1.0",
		"bits-ui": "^2.16.5",
		"clsx": "^2.1.1",
		"eslint": "^10.0.3",
		"eslint-config-prettier": "^10.1.8",
		"eslint-plugin-storybook": "^10.3.3",
		"eslint-plugin-svelte": "^3.15.2",
		"globals": "^17.4.0",
		"mode-watcher": "^1.1.0",
		"playwright": "^1.58.2",
		"pocketbase-typegen": "^1.3.3",
		"prettier": "^3.8.1",
		"prettier-plugin-svelte": "^3.4.1",
		"prettier-plugin-tailwindcss": "^0.7.2",
		"remixicon-svelte": "^0.0.5",
		"shadcn-svelte": "^1.2.6",
		"storybook": "^10.3.3",
		"svelte": "^5.54.0",
		"svelte-check": "^4.4.2",
		"svelte-sonner": "^1.1.0",
		"tailwind-merge": "^3.5.0",
		"tailwind-variants": "^3.2.2",
		"tailwindcss": "^4.1.18",
		"tw-animate-css": "^1.4.0",
		"typescript": "^5.9.3",
		"typescript-eslint": "^8.57.0",
		"vaul-svelte": "^1.0.0-next.7",
		"vite": "^7.3.1",
		"vitest": "^4.1.0",
		"vitest-browser-svelte": "^2.0.2"
	},
	"dependencies": {
		"pocketbase": "^0.26.8"
	}
}
